package com.bonus.canteen.core.marketing.v2.custom;

import com.bonus.canteen.core.common.custom.business.CustomBusiness;
import com.bonus.canteen.core.marketing.v2.rule.price.dto.RulePriceResultOrderDTO;
import com.bonus.canteen.core.marketing.vo.MarketRuleVO;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MarketRuleCustomBusiness implements CustomBusiness {

   public List<MarketRuleVO> afterGetSuitableRules(List<MarketRuleVO> suitableRules) {
      return suitableRules;
   }

   public List<MarketRuleVO> beforeCompute(RulePriceResultOrderDTO order, List<MarketRuleVO> suitableRules) {
      return suitableRules;
   }
}
